Package weka.classifiers.trees.j48

# Class GainRatioSplitCrit

java.lang.Object
weka.classifiers.trees.j48.SplitCriterion
weka.classifiers.trees.j48.EntropyBasedSplitCrit
weka.classifiers.trees.j48.GainRatioSplitCrit

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public final class GainRatioSplitCrit extends EntropyBasedSplitCrit
Class for computing the gain ratio for a given distribution.

Version:
  $Revision: 10169 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GainRatioSplitCrit()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRevision()`
  Returns the revision string.
  `final double`
  `splitCritValue(Distribution bags)`
  This method is a straightforward implementation of the gain ratio criterion for the given distribution.
  `final double`
  `splitCritValue(Distribution bags, double totalnoInst, double numerator)`
  This method computes the gain ratio in the same way C4.5 does.

  ### Methods inherited from class weka.classifiers.trees.j48.EntropyBasedSplitCrit

  `lnFunc, newEnt, oldEnt, splitEnt`

  ### Methods inherited from class weka.classifiers.trees.j48.SplitCriterion

  `splitCritValue, splitCritValue, splitCritValue`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GainRatioSplitCrit

    public GainRatioSplitCrit()

- ## Method Details

  - ### splitCritValue

    public final double splitCritValue(Distribution bags)
    This method is a straightforward implementation of the gain ratio criterion for the given distribution.
    Overrides:
      `splitCritValue` in class `SplitCriterion`
    Returns:
      value of splitting criterion. 0 by default

  - ### splitCritValue

    public final double splitCritValue(Distribution bags, double totalnoInst, double numerator)
    This method computes the gain ratio in the same way C4.5 does.
    Parameters:
      `bags` - the distribution
      `totalnoInst` - the weight of ALL instances
      `numerator` - the info gain

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Returns:
      the revision